> For the complete documentation index, see [llms.txt](https://spice.docs.medtroniclabs.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/medical-review/iccm-under-two-months-create.md).

# ICCM Under two months Create

| **API URL**     | {{url}}/spice-service/medical-review/iccm-under-2months/create |
| --------------- | -------------------------------------------------------------- |
| **Method**      | POST                                                           |
| **Description** | Creation of iccm-under-2months in medical review               |

#### **Input:** <a href="#iccmunder2monthscreate-v2-input" id="iccmunder2monthscreate-v2-input"></a>

| **Field Name**          | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ----------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| clinicalNotes           | String   | Yes           | Clinical Notes for the medical review                                                                                                   |
| clinicalSummaryAndSigns | String   | Yes           | Clinical Summary And its Signs                                                                                                          |
| breastFeeding           | Boolean  | Yes           | Breast Feeding                                                                                                                          |
| height                  | Long     | Yes           | Height of patient                                                                                                                       |
| heightUnit              | String   | Yes           | Height unit                                                                                                                             |
| immunisationStatus      | String   | Yes           | Immunisation Status                                                                                                                     |
| vitAForMother           | Boolean  | Yes           | Vitamin A For Mother                                                                                                                    |
| waz                     | Long     | No            | Weight for age in z-index                                                                                                               |
| weight                  | Long     | Yes           | Patient Weight                                                                                                                          |
| weightUnit              | String   | Yes           | Weight unit                                                                                                                             |
| whz                     | Long     | No            | Weight for height in z-index                                                                                                            |
| encounter               | String   | Yes           | Encounter details of the patient                                                                                                        |
| latitude                | Long     | Yes           | Location of the registration                                                                                                            |
| longitude               | Long     | Yes           | Location of the registration                                                                                                            |
| memberId                | Bigint   | Yes           | House hold member id                                                                                                                    |
| patientId               | Bigint   | Yes           | Patient id                                                                                                                              |
| provenance              | String   | Yes           | Provenance details of the organization                                                                                                  |
| referred                | Boolean  | Yes           | Patient referred status                                                                                                                 |
| Authorization (Header)  | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                  | String   | Yes           | mob                                                                                                                                     |

#### **Sample Input:** <a href="#iccmunder2monthscreate-v2-sampleinput" id="iccmunder2monthscreate-v2-sampleinput"></a>

{\
"clinicalNotes": "Cure",\
"clinicalSummaryAndSigns": {\
"breastFeeding": false,\
"height": 55,\
"heightUnit": "cm",\
"immunisationStatus": "upToDate",\
"vitAForMother": true,\
"waz": 92.22,\
"weight": 55,\
"weightUnit": "kg",\
"whz": 87.81\
},\
"encounter": {\
"endTime": "2025-01-20T13:10:18+05:30",\
"latitude": 13.0146087,\
"longitude": 80.2099126,\
"memberId": "1",\
"patientId": "22",\
"provenance": {\
"modifiedDate": "2025-01-20T07:40:18.723Z",\
"organizationId": "9",\
"spiceUserId": 1,\
"userId": "22"\
},\
"referred": true,\
"startTime": "2025-01-20T13:10:18+05:30"\
}\
}

#### **Output:** <a href="#iccmunder2monthscreate-v2-output" id="iccmunder2monthscreate-v2-output"></a>

| **Field Name**   | **Type** | **Comments**                       |
| ---------------- | -------- | ---------------------------------- |
| message          | String   | MedicalReview created successfully |
| patientReference | BigInt   | Patinet reference id               |
| encounterId      | BigInt   | Encounter Id                       |
| status           | Boolean  | Response status                    |

#### **Sample Output:** <a href="#iccmunder2monthscreate-v2-sampleoutput" id="iccmunder2monthscreate-v2-sampleoutput"></a>

```
{
  "message": "MedicalReview created successfully.",
  "entity": {
    "patientReference": "1",
    "encounterId": "1"
  },
  "status": true,
  "entityList": null,
  "responseCode": 200,
  "totalCount": null
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/medical-review/iccm-under-two-months-create.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
